# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Import-Into
Version:	1.002005
Release:	23.%{__distinit}%{__distvers}
Summary:	Import packages into other packages
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Import-Into
Source0:	https://cpan.metacpan.org/authors/id/H/HA/HAARG/Import-Into-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Module::Runtime)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(base)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(Test::More)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
Loading Import::Into creates a global method import::into which you can call on
any package to import it into another package.

%prep
%setup -q -n Import-Into-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor --skipdeps
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Import/
%{_mandir}/man3/Import::Into.3*

%changelog
* Tue Apr 25 2023 Paul Howarth <paul@city-fan.org> - 1.002005-23
- Use SPDX-format license tag

* Thu Jun  6 2019 Paul Howarth <paul@city-fan.org> - 1.002005-11
- Modernize spec
  - Switch upstream from search.cpan.org to metacpan.org
  - BR: perl-generators unconditionally
  - BR: perl-interpreter rather than perl
  - Don't explicitly clean buildroot in %%install section
  - Drop explicit %%clean section
  - Drop legacy BuildRoot: and Group: tags

* Fri Aug 26 2016 Paul Howarth <paul@city-fan.org> - 1.002005-3
- BR: perl-generators where available
- Simplify find command using -delete

* Mon Aug 31 2015 Paul Howarth <paul@city-fan.org> - 1.002005-1
- Update to 1.002005
  - Fix level as a hashref parameter
- This release by HAARG → update source URL

* Mon Sep  1 2014 Paul Howarth <paul@city-fan.org> - 1.002004-2
- Perl 5.20 rebuild

* Thu Jul 10 2014 Paul Howarth <paul@city-fan.org> - 1.002004-1
- Update to 1.002004
  - Fix prerequisite declarations for older toolchain

* Wed Jul  9 2014 Paul Howarth <paul@city-fan.org> - 1.002003-1
- Update to 1.002003
  - Module loading is now done while importing, making it unnecessary to load
    them beforehand (CPAN RT#96995)

* Wed May  7 2014 Paul Howarth <paul@city-fan.org> - 1.002002-1
- Update to 1.002002
  - Minor metadata updates
- This release by ETHER -> update source URL
- Classify buildreqs by usage
- Drop %%defattr, redundant since rpm 4.4

* Wed Mar 12 2014 Paul Howarth <paul@city-fan.org> - 1.002001-2
- Import from Fedora

* Wed Mar 12 2014 Paul Howarth <paul@city-fan.org> - 1.002001-1
- Update to 1.002001
  - Allow specifying by caller level, as well as specifying file, line, and
    version
  - Fix tests and Makefile.PL to support perl 5.6
- This release by HAARG -> update source URL
- Specify all dependencies
- Make %%files list more explicit

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.001001-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.001001-2
- Perl 5.18 rebuild

* Fri Apr 19 2013 Iain Arnell <iarnell@gmail.com> 1.001001-1
- update to latest upstream version

* Sat Feb 16 2013 Iain Arnell <iarnell@gmail.com> 1.001000-1
- Specfile autogenerated by cpanspec 1.79.
